Open CASCADE Technology: FEmTool_ElementaryCriterion Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Attributes
FEmTool_ElementaryCriterion Class Referenceabstract

defined J Criteria to used in minimisation More...

`#include <FEmTool_ElementaryCriterion.hxx>`

Inheritance diagram for FEmTool_ElementaryCriterion:
[legend]

## Public Member Functions
void | Set (const Handle< TColStd_HArray2OfReal > &Coeff)
| Set the coefficient of the Element (the Curve) More...
virtual void | Set (const Standard_Real FirstKnot, const Standard_Real LastKnot)
| Set the definition interval of the Element. More...
virtual Handle < TColStd_HArray2OfInteger > | DependenceTable () const =0
| To know if two dimension are independent. More...
virtual Standard_Real | Value ()=0
| To Compute J(E) where E is the current Element. More...
virtual void | Hessian (const Standard_Integer Dim1, const Standard_Integer Dim2, math_Matrix &H)=0
| To Compute J(E) the coefficients of Hessian matrix of J(E) wich are crossed derivatives in dimensions <Dim1> and <Dim2>. If DependenceTable(Dimension1,Dimension2) is False. More...
virtual void | Gradient (const Standard_Integer Dim, math_Vector &G)=0
| To Compute the coefficients in the dimension <dim> of the J(E)'s Gradient where E is the current Element. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Protected Attributes
Handle< TColStd_HArray2OfReal > | myCoeff
Standard_Real | myFirst
Standard_Real | myLast

## Detailed Description

defined J Criteria to used in minimisation

## Member Function Documentation

virtual Handle< TColStd_HArray2OfInteger > FEmTool_ElementaryCriterion::DependenceTable | ( |  | ) | const
| pure virtual

To know if two dimension are independent.

Implemented in FEmTool_LinearFlexion, FEmTool_LinearJerk, and FEmTool_LinearTension.

virtual void FEmTool_ElementaryCriterion::Gradient | ( | const Standard_Integer | Dim,
|  | math_Vector & | G
| ) |  |
| pure virtual

To Compute the coefficients in the dimension <dim> of the J(E)'s Gradient where E is the current Element.

Implemented in FEmTool_LinearFlexion, FEmTool_LinearJerk, and FEmTool_LinearTension.

virtual void FEmTool_ElementaryCriterion::Hessian | ( | const Standard_Integer | Dim1,
|  | const Standard_Integer | Dim2,
|  | math_Matrix & | H
| ) |  |
| pure virtual

To Compute J(E) the coefficients of Hessian matrix of J(E) wich are crossed derivatives in dimensions <Dim1> and <Dim2>. If DependenceTable(Dimension1,Dimension2) is False.

Implemented in FEmTool_LinearFlexion, FEmTool_LinearJerk, and FEmTool_LinearTension.

void FEmTool_ElementaryCriterion::Set | ( | const Handle< TColStd_HArray2OfReal > & | Coeff | ) |

Set the coefficient of the Element (the Curve)

virtual void FEmTool_ElementaryCriterion::Set | ( | const Standard_Real | FirstKnot,
|  | const Standard_Real | LastKnot
| ) |  |
| virtual

Set the definition interval of the Element.

virtual Standard_Real FEmTool_ElementaryCriterion::Value | ( |  | ) |
| pure virtual

To Compute J(E) where E is the current Element.

Implemented in FEmTool_LinearFlexion, FEmTool_LinearJerk, and FEmTool_LinearTension.

## Field Documentation

Handle< TColStd_HArray2OfReal > FEmTool_ElementaryCriterion::myCoeff
| protected

Standard_Real FEmTool_ElementaryCriterion::myFirst
| protected

Standard_Real FEmTool_ElementaryCriterion::myLast
| protected

The documentation for this class was generated from the following file:

- FEmTool_ElementaryCriterion.hxx